export namespace emphasize {
  export {highlight}
  export {highlightAuto}
  export const registerLanguage: typeof lowlight.registerLanguage
  export const listLanguages: typeof lowlight.listLanguages
  export const registerAlias: ((
    language: string,
    alias: string | string[]
  ) => void) &
    ((aliases: {[x: string]: string | string[]}) => void)
}
export type LowlightRoot = import('lowlight/lib/core.js').LowlightRoot
export type LowlightElementSpan =
  import('lowlight/lib/core.js').LowlightElementSpan
export type LowlightAutoOptions =
  import('lowlight/lib/core.js').LowlightAutoOptions
export type Text = import('lowlight/lib/core.js').Text
export type Result = LowlightRoot['data'] & {
  value: string
}
export type Style = (value: string) => string
export type Sheet = {
  [x: string]: Style
}
export type AutoOptions = {
  sheet?: Sheet
  subset?: string[]
}
/**
 * Highlight `value` as `language`.
 *
 * @param {string} language Language name
 * @param {string} value Code value
 * @param {Sheet} [sheet] Style sheet
 * @returns {Result}
 */
declare function highlight(
  language: string,
  value: string,
  sheet?: Sheet
): Result
/**
 * Guess `value`s syntax.
 *
 * @param {string} value Code value
 * @param {Sheet|AutoOptions} [options] Style sheet or options
 * @returns {Result}
 */
declare function highlightAuto(
  value: string,
  options?: Sheet | AutoOptions
): Result
import {lowlight} from 'lowlight/lib/core.js'
export {}
